Subject: bug#52129: 29.0.50; Wish: Extend `:align-to center' to work on lines in buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Nov 2021 09:48:48 +0200

> From: Arthur Miller <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 28 Nov 2021 00:40:30 +0100
> 
> > That's because it centers the first character of the string, not its
> > middle character.
> 
> That too; so you see, it is not as simple to get it right by just prepending a
> space with :align-to center property.

We've been through this: you need to dynamically compute the pixel
coordinate to align-to, as function of the string width.

> >> Is there any way to make it aware of surrounding context, like entire line? Or
> >> would that be too demanding computationally?
> >
> > I don't think I understand what you mean by "surrounding context", and
> > what would it mean for it to "be aware" of it?
> 
> With context I meant simply the line, or at least part of the line to be
> displayed. To be aware of it = to take it into consideration when displaying
> line, so things like suggested would be possible.

The display engine considers the line as a whole only when the entire
screen line has been laid out, i.e. we get to a newline or the X
coordinate is at the right edge of the window.  Before that, there's
no information about the "line context".